
Redmine - Defect #1906

Removing permission "Edit issue" from role does not prevent user from editing issues

2008-09-15 15:23 - Finn Gruwier Larsen

Status: Closed Start date: 2008-09-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Redmine version: 0.7.3.1711.

History

#1 - 2008-09-15 22:02 - Jean-Philippe Lang

Is this role able to change issue subject and description or just to change its status ?

#2 - 2008-09-16 10:05 - Finn Gruwier Larsen

It can change status, assigned-to, % finished and target version - not subject and description.

#3 - 2008-09-17 19:23 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.7.3)

- Resolution set to Invalid

- Affected version deleted (0.7.3)

These 4 fields can be edited if the user is allowed to change the issue status. So, you have to adjust your workflow if you don't want this user to be

able to change the issue status (and the 3 other attributes).

Go to Administration -> Workflow and disable status transitions for this role on every tracker.

#4 - 2008-09-18 09:27 - Finn Gruwier Larsen

Actually I do want the user to be able to change status (according to the workflow rules), but not the three other values. So I still have a problem

(apart from that the current solution is not intuitively understandable).
